Bug 803381 - Review Request: weld-api - Weld API
Review Request: weld-api - Weld API
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Juan Hernández
Fedora Extras Quality Assurance
:
Depends On: 730234 730306 803376
Blocks: 805468
  Show dependency treegraph
 
Reported: 2012-03-14 11:30 EDT by Marek Goldmann
Modified: 2012-04-11 22:12 EDT (History)
4 users (show)

See Also:
Fixed In Version: weld-api-1.1-3.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-11 22:12:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
juan.hernandez: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Marek Goldmann 2012-03-14 11:30:10 EDT
Spec URL: http://goldmann.fedorapeople.org/package_review/weld-api/1/weld-api.spec
SRPM URL: http://goldmann.fedorapeople.org/package_review/weld-api/1/weld-api-1.1-1.fc17.src.rpm
Description: Weld specifc extensions to the CDI API
Comment 1 Juan Hernández 2012-03-21 07:12:50 EDT
This package needs "BuildRequires: maven-surefire-provider-testng".
Comment 3 Juan Hernández 2012-03-28 07:51:48 EDT
I take this for review.
Comment 4 Juan Hernández 2012-03-29 11:46:16 EDT
Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[x]  Rpmlint output:

Output of rpmlint of the source package:

$ rpmlint weld-api-1.1-2.fc17.src.rpm
weld-api.src: W: spelling-error %description -l en_US specifc -> specif, specific, specify
weld-api.src: W: invalid-url Source0: weld-api-1.1.Final.tar.xz
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

Output of rpmlint of the binary packages:

$ rpmlint weld-api-1.1-2.fc18.noarch.rpm
weld-api-javadoc-1.1-2.fc18.noarch.rpm weld-api.noarch: W: spelling-error %description -l en_US specifc -> specif, specific, specify
weld-api.noarch: W: no-documentation weld-api-javadoc.noarch: W: spelling-error Summary(en_US) Javadocs -> Java docs, Java-docs, Avocados
2 packages and 0 specfiles checked; 0 errors, 3 warnings.

These spelling and URL warnings are acceptable.

[x]  Package is named according to the Package Naming Guidelines[1].
[x]  Spec file name must match the base package name, in the format %{name}.spec.
[x]  Package meets the Packaging Guidelines[2].
[x]  Package successfully compiles and builds into binary rpms.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=3943601

[x]  Buildroot definition is not present
[x]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines[3,4].
[x]  License field in the package spec file matches the actual license.

License type: ASL 2.0

[-]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[-]  All independent sub-packages have license of their own
[x]  Spec file is legible and written in American English.
[x]  Sources used to build the package matches the upstream source, as provided in the spec URL.

MD5SUM this package    : f1e9e95a5d18cb67b1fb2a327ca67925
MD5SUM upstream package: f1e9e95a5d18cb67b1fb2a327ca67925

[x]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines[5].
[x]  Package must own all directories that it creates or must require other packages for directories it uses.
[x]  Package does not contain duplicates in %files.
[x]  File sections do not contain %defattr(-,root,root,-) unless changed with good reason
[x]  Permissions on files are set properly.
[x]  Package does NOT have a %clean section which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). (not needed anymore)
[x]  Package consistently uses macros (no %{buildroot} and $RPM_BUILD_ROOT mixing)
[x]  Package contains code, or permissable content.
[-]  Fully versioned dependency in subpackages, if present.
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI application.
[x]  Package does not own files or directories owned by other packages.
[x]  Javadoc documentation files are generated and included in -javadoc subpackage
[x]  Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlinks)
[x]  Packages have proper BuildRequires/Requires on jpackage-utils
[x]  Javadoc subpackages have Require: jpackage-utils
[x]  Package uses %global not %define
[x]  If package uses tarball from VCS include comment how to re-create that tarball (svn export URL, git clone URL, ...)
[-]  If source tarball includes bundled jar/class files these need to be removed prior to building
[x]  All filenames in rpm packages must be valid UTF-8.
[!]  Jar files are installed to %{_javadir}/%{name}.jar (see [6] for details)

The names assigned by the build are weld-api.jar and weld-spi.jar, but they are packaged as /usr/share/java/weld-api/api.jar and /usr/share/java/weld-api/spi.jar. I think they should packaged as:

/usr/share/java/weld-api.jar
/usr/share/java/weld-spi.jar

Or alternatively:

/usr/share/java/weld-api/weld-api.jar
/usr/share/java/weld-api/weld-spi.jar

[x]  If package contains pom.xml files install it (including depmaps) even when building with ant
[x]  pom files has correct add_maven_depmap

=== Maven ===
[x]  Use %{_mavenpomdir} macro for placing pom files instead of %{_datadir}/maven2/poms
[-]  If package uses "-Dmaven.test.skip=true" explain why it was needed in a comment
[-]  If package uses custom depmap "-Dmaven.local.depmap.file=*" explain why it's needed in a comment
[x]  Package DOES NOT use %update_maven_depmap in %post/%postun
[x]  Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-utils for %update_maven_depmap macro

=== Other suggestions ===
[x]  If possible use upstream build method (maven/ant/javac)
[x]  Avoid having BuildRequires on exact NVR unless necessary
[x]  Package has BuildArch: noarch (if possible)
[x]  Latest version is packaged.
[x]  Reviewer should test that the package builds in mock.

Tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=3943601

=== Issues ===
1. Names of the jar files don't follow the guidelines.

=== Final Notes ===
1. Fix the jar names and I will approve.
Comment 6 Juan Hernández 2012-04-02 03:32:07 EDT
No issues now. Thanks Marek!

================
*** APPROVED ***
================
Comment 7 Marek Goldmann 2012-04-02 03:47:41 EDT
Thanks for review!

New Package SCM Request
=======================
Package Name:      weld-api
Short Description: Weld API
Owners:            goldmann
Branches:          f17
Comment 8 Gwyn Ciesla 2012-04-02 06:03:21 EDT
Git done (by process-git-requests).
Comment 9 Fedora Update System 2012-04-02 09:57:27 EDT
weld-api-1.1-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/weld-api-1.1-3.fc17
Comment 10 Fedora Update System 2012-04-02 13:46:50 EDT
weld-api-1.1-3.fc17 has been pushed to the Fedora 17 testing repository.
Comment 11 Fedora Update System 2012-04-11 22:12:28 EDT
weld-api-1.1-3.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.